#include <iostream.h >
 class A
{
 public:
	A();
};
 A::A()
{
 cout<<"A";
}
class B
{
 public:
	B();
};
 B::B()
{
 cout<<"B";
}
class C:public A
{
 public:
	C();
};
 C::C()
{
 cout<<"C";
}
class D:public B,public C
{
 public:
	D();
};
 D::D()
{
 cout<<"D";
}
class E:public A
{
 protected:	
	D d;
 public:
	E();
};
 E::E()
{
 cout<<"E";
}
class F:public B,virtual public C,public E
{
 public:
	F();
};
 F::F()
{
 cout<<"F";
}
 int main( )
{
   A a;
   cout<<endl;
   B b;
   cout<<endl;
   C c;
   cout<<endl; 
   D d;
   cout<<endl;
   E e;
   cout<<endl;
   F f;
   cout<<endl;
   return(0);
}    
